Introduction

Welcome

Summary of Features

Demonstration of Capabilities

Disclaimer

Copyright 2008-2014, Tri-Tech Solutions, Inc.
All Rights Reserved
 www.Tri-Tech-Solutions.com


A Brief Summary of MixedEHL© Features
The MixedEHL© package includes
  • Numerical solver for mixed elastohydrodynamic lubrication (EHL) using the DC-FFT (discrete convolution and fast Fourier transfer) method and PMD (progressive mesh densification) approach to solve for lubricant film thickness and pressure distributions in point, line and short roller contacts. It is capable of simulating the entire transition from full-film and mixed EHL down to dry contact under severe operating conditions based on smooth or rough contacting surfaces with various types of surface roughness, including digitized machined roughness and computer generated artificial roughness.
  • Module to calculate interfacial flash temperature and friction/traction.
  • Module to calculate various subsurface stresses based on obtained pressure and tangential traction distributions.
  • Module to calculate and display lubricant flow streamlines.
  • Module to simulate sliding wear and surface evolution (including running-in).
  • Module to solve mixed EHL problems with layered/coated bodies (optional).
  • Module to predict the effects of possible plastic deformation and material hardening property on lubrication characteristics, surface deformation, subsurface stresses and plastic strains (under development and modification).
  • Graphic user interface (GUI) for on-screen interactive input and output.
  • Module to generate animation movie files for visual displays of transient distributions of pressure, film thickness/gap, flash temperature, surface evolution and material removal due to sliding wear, as well as subsurface stresses.
Copyright 2008-2018, Tri-Tech Solutions, Inc.


Demonstration of Software Capabilities:
The following are website links for demonstrating the software capabilities through some sample results. Note that animation movies may take several seconds to download. Please be patient. Thank you! (Internet connection and IE-7 browser or newer are required)
  • An entire transition from full-film and mixed EHL to dry contact: Smooth surface cases
  • An entire transition from full-film and mixed EHL to dry contact: Ground surface cases
  • Two honed surfaces in a rolling-sliding point contact: Film thickness and pressure distributions
  • Two honed surfaces in a rolling-sliding point contact: Flash temperature and friction
  • Transient subsurface stress analysis for different machined surfaces
  • Two ground surfaces in a rolling-sliding point contact: Film thickness and pressure distributions
  • Two ground surfaces in a rolling-sliding point contact with simulated surface evolution due to sliding wear: Film thickness and pressure distributions
  • Two ground surfaces in a rolling-sliding point contact with simulated surface evolution due to sliding wear: Surface evolution and accumulated wear
  • Simulation of three-ball-on-disk test without wear: Film thickness and pressure distributions
  • Simulation of three-ball-on-disk test with wear: Film thickness and pressure distributions
  • Simulation of three-ball-on-disk test with wear: Surface evolution and accumulated wear
  • Transient Subsurface Stress Analysis for Different Machined Surfaces
  • A 3-D line contact EHL solution with smooth surfaces
  • 3-D line contact EHL solutions with different machined surfaces
  • A transient 3-D line contact EHL solution with shaved surfaces


Disclaimer

The MixedEHL© software package is developed based on many years of research documented in technical papers that can be found in the "References" section. Numerous model validation cases have been conducted in order to ensure the accuracy of numerical simulation results. Model validation information has been presented in some referenced papers. More detailed explanation for any specific conditions can be provided upon request. However, due to the extreme compexity of practical situations in engineering applications, Tri-Tech Solutions, Inc., does not warrant accuracy of any results of calculation especially when conducted by users (whose experience in conducting model-based simulations with the present software may vary a great deal), nor accept any responsibility for any possible legal liabilities and economic losses due to improper use of the package. It is advised that the accuracy of model-based numerical simulations is largely dependent upon the complexity of each specific case under practical conditions and the users' experience. All the calculation results, therefore, are only for reference in engineering practice.


Model Description

Background and Fundamentals

Basic Equations of Mixed EHL

Friction and Flash Temperature

Sliding Wear Simulation

Subsurface Stresses

Nomenclature


Background and Fundamentals
Mixed lubrication is the mode in which most functional components operate. In mixed lubrication hydrodynamic lubricant films and rough surface asperity contacts coexist and neither can be ignored. Actually, dry contact and full-film lubrication are nothing but special cases of mixed lubrication under extreme conditions. A good understanding of mixed lubrication characteristics is vital to components design optimization, machine performance, durability and efficiency improvements, energy and material conservation, problem diagnosis and failure prevention.
MixedEHL© provides a useful tool for engineering design and analyses, focusing mainly on problems with concentrated contacts that include point contacts, line contacts and short roller contacts commonly found in various gears, bearings, cam and follower systems, continuously variable speed transmissions, and many other components. It predicts distributions of lubricant film thickness, pressure, interfacial deformation, friction, flash temperature and subsurface stresses through full numerical solution of the mixed EHL and deterministically simulates interaction of engineering rough surfaces in a wide range of operating conditions. The following figure shows basic point and line contact configurations and a physical model of Mixed EHL, in which two arbitrary engineering surfaces are running through the EHL solution domain possibly at different speeds. The load applied to the lubricated interface is supported by both the rough surface asperity contacts and the hydrodynamic lubricant film. The rough surfaces are discretized/digitized and treated as a part of input data to the program.
Physically a mixed EHL solution involves the following aspects: 1) hydrodynamics described by the Reynolds equation; 2) surface elastic deformation calculated by the Boussinesq integral; 3) lubricant rheology mainly including viscosity as a function of pressure and temperature and possible non-Newtonian properties; 4) contact geometry; 5) surface rougness and topographic property; 6) kinematics and dynamics (usually surface velocities and possible dynamic loading). All the basic equations for the mixed EHL will be given in the next section. In order to describe mixed EHL characteristics, a set of physical parameters are often needed. I t is important to note that the parameters defined for smooth surface EHL, such as the central film thickness hc and minimum film thicknesses hm, are no longer appropriate. The minimum film thickness is always zero whenever/wherever there is a local asperity contact, and the central film thickness may fluctuate greatly from one moment to another due to moving roughness. It is necessary to define new parameters as follows:
Average Film Thickness ha: For point contacts, ha is calculated within a certain area around the center of contact, typically within ½ Hertzian radius of the normalized contact zone, so that a sufficiently large area can be included for calculating the average value, but possible edge effect can be avoided. For line contacts, the average value is calculated within ½ Hertzian contact width on each side along the centerline. When the surfaces are smooth, ha is almost the same as the central film thickness hc defined conventionally.
Film Thickness (l) Ratio: In the last 30+ years the term of l ratio has been widely used, but defined in different ways, so it should be clarified. For mixed EHL it is now suggested that l ratio is defined as the ratio of average film thickness (defined above) to the composite RMS roughness, l= ha/s. This definition well describes the global lubrication effectiveness in rough surface contacts.
Contact Load Ratio Wc and Contact Area Ratio Ac: If the average EHL film thickness is not much greater than the composite RMS roughness, say the l ratio is smaller than 1.0 ~1.5 or so, surface asperity contacts would usually take place, and a certain portion of load is supported by the asperity contacts. The contact area ratio, Ac, is defined as the ratio of total asperity contact area to the area of Hertzian contact zone. The contact load ratio, Wc, is the load supported by asperity contacts divided by the total load. Note that Ac and Wc are correlated but could be different quantitatively. For full-film lubrication with no significant asperity contact, both Ac and Wc are zero or nearly zero. As the film thickness decreases and the asperity contacts become more and more significant, Ac and Wc increase. For dry contact Wc will reach its maximum value of 1.0, but Ac may be less than 1.0, unless all the asperities are completely flattened.
Coefficients of Hydrodynamic Friction, fh, and Contact Friction, fc: Friction in mixed lubrication usually consists of two parts: the hydrodynamic friction is caused by lubricant shearing in the EHL films while the contact friction due to boundary lubrication or dry contact in asperity contact areas. The total friction coefficient, f, is often dominated by the contact friction, as it is usually much greater than the hydrodynamic one.


Basic Equations
The pressure within the entire domain is governed by the Reynolds equation below, in which the lubricant can be Newtonian or non-Newtonian, and all the parameters are defined in the nomenclature. The x-coordinate is chosen to coincide with the rolling direction. A boundary condition of pressure p = 0 at the edges of solution domain as well as a normal cavitation condition on the outlet side must be satisfied when solving this equation. For a point contact EHL problem with the two moving rough contacting surfaces, the local lubricant film thickness/gap is time-dependent and can be expressed by the film thickness equation. The surface elastic deformation is computed through the Boussinesq integral.
The lubricant viscosity is assumed to be dependent on pressure, and there are several viscosity equations in use, including the Barus equation, the Roelands equation, the power law and the two-slope exponential law given above. Sometimes an expression for lubricant non-Newtonian properties is also required. The density of lubricant is also a function of pressure, and the applied load is balanced by the integral of the pressure over the entire solution domain. All the equations given above form a strong nonlinear system, which can be discretized and then solved with an iterative procedure. The numerical solution techniques will not be repeated here. Please refer to X.L. Ai, 1993, D. Zhu and Y. Hu, 1999 & 2001, and D. Zhu, 2007 for more details.


Friction and Flash Temperature
Friction in mixed EHL is of great importance in practice, as it is directly related to efficiency, energy saving and system thermal behavior. It is understood that even a few percent of energy loss due to friction may cause considerable temperature increase in the system, and this may in turn lead to a significant reduction of lubricant viscosity, which may negatively affect the lubrication performance, resulting in further increase in friction due to reduced EHL film thickness and increased asperity contact severity. This unfavorable chain reaction may cause quick lubrication breakdown and early failure of the components.
Friction in mixed EHL consists of two parts. In hydrodynamically lubricated areas the friction is generated from lubricant shearing in the EHL films. Since the pressure and the shear rate are typically very high in the Hertzian contact zone, the Newtonian fluid model is no longer valid, and an appropriate non-Newtonian fluid model is needed. A common practice is to use the viscous-elastic model proposed by S. Bair and W.O. Winer, 1978, given as follows:

where tL and G x are the limiting shear stress and limiting elastic modulus, respectively, which are properties of the lubricant and also functions of pressure and temperature. Generally, advanced synthetic lubricants exhibit low friction behavior because of their low limiting shear stress, while traction fluids for continuous variable transmissions are specifically formulated to have high limiting shear stress. By solving the above nonlinear equation based on given tL and G x, one can calculate the hydrodynamic friction through integration of the shear stress in lubricated areas.

In asperity contact areas the friction is usually much higher, determined by boundary lubrication properties. Boundary friction is to date difficult to model as it involves complicated interfacial physics and chemistry, but it is easy to estimate experimentally. Boundary friction coefficient fb is often in a range of 0.07-0.15 for lubrication systems with commonly used steels and industrial lubricants. If fb is provided as an input, the total friction in the mixed EHL can be predicted, as described in detail by A. Martini et al, 2007. It is obvious that the total friction is greatly affected by how much asperity contact exists in the mixed EHL system. Generally the larger the contact load ratio Wc, the greater the friction.

The calculation of flash temperature is based on the theory of a moving heat source over a semi-infinite solid. Basically, when the surface speed is sufficiently high, the heat flow along the surface in the direction perpendicular to the velocity of heat source may be neglected. Also, the heat generated in the contact will be carried away by the two solid bodies through conduction. The convection by the lubricant flow is assumed to be insignificant. Based on these assumptions, the surface flash temperatures can be calculated by solving the following equations (Please see D. Zhu and H.S. Cheng, 1989, for details):
where q is the heat generated by either lubricant shearing in the hydrodynamic areas, or interface friction in the contact areas. It can be estimated as q @ t ½u2 - u1½. Note that the above equations are recognized as Volterra’s integral equation of the second kind. Since the surface temperatures and the heat generation are mutually dependent, an iterative procedure is needed in order to solve them for surface temperatures, T1 and T2.


Sliding Wear Simulation
Sliding wear is a major surface failure mode for many mechanical components. Wear due to relative sliding and severe surface asperity contacts caused by insufficient lubrication needs to be understood in order to improve components performance, durability and reliability. The MixedEHL© package can be used to estimate sliding wear and predict surface evolution based on mixed EHL characteristics through numerical simulation. It is important to note that, generally, wear takes place as a type of material removal from the surfaces when the following conditions are met at the locations of material removal: 1) direct surface asperity contacts; 2) relative sliding motion between the two surfaces; 3) contact severity sufficiently high exceeding prescibed limit/criteria. In the present model it is assumed that material removal occurs at the local spots where the contact pressure exceeds the yielding limit of the material, and wear rate follows the Archard law shown below:

Since the present package predicts the contact pressure distribution in detail, the material removal due to sliding wear can be estimated at all the contact spots where the pressure goes beyond the yielding limit of the material. As the sliding motion goes on the predicted wear is accumulated and eventually form wear scars on the surfaces. Case 7 in the Sample Cases section provides an example demonstrating the wear prediction based on a given wear coefficient as a property of the material. Different wear laws and criteria for material removal can also be used through a simple modification of the computer code if required. Please refer to D. Zhu et al, 2007, for more detailed description of the wear model and numerical simulation methods.


Subsurface Stresses
Three-dimensional subsurface stress distribution can be calculated based on the normal pressure and the friction force applied on the surface, through the following integration:

where the stress components t kl is caused by a unit point force applied in normal and tangential directions, respectively; and m is the friction coefficient. The detaled expressions can be found in the book by K. L. Johnson, 1985, or some other textbooks.


Nomenclature

a = semi-axis of Hertzian contact ellipse in rolling direction, or radius of Hertzian contact circle, or half-width of Hertzian contact for a line contact

Ac = contact area ratio

b = semi-axis of Hertzian contact ellipse in the direction perpendicular to rolling

E’ = effective elastic modulus

f = friction coefficient

fb = boundary friction coefficient

fh = hydrodynamic friction coefficient

G* = aE’, dimensionless material parameter

h = local film thickness (or gap)

ha = average film thickness (or average gap)

le = effective length of line contact

p = pressure

Ph = maximum Hertzian pressure

Rq = root mean square (RMS) surface roughness

Rx,Ry = effective radii of curvature in x- and y-directions, respectively

S = (u2 -u1)/U, slide-to-roll ratio

t = time

U* = h oU/(E’Rx), dimensionless speed parameter

U = (u1 +u2)/2, rolling velocity (or entraining velocity)

u1, u2 = velocities of Surface 1 and Surface 2, respectively

V = surface elastic deformation

W* = dimensionless load parameter, point contact: w/(E’Rx2); line contact: w/(E’Rxle)

w = load

Wc = contact load ratio (load supported by surface contact divided by total load)

x, y = coordinates (x is chosen to be parallel to rolling direction)

a = pressure-viscosity exponent used in pressure-viscosity equation h=h o EXP(ap)

d 1, d 2 = roughness height of surfaces 1 and 2, respectively

h, ho = viscosity and viscosity under ambient condition, respectively

r, ro = density and density under ambient condition, respectively

l = ha/s, film thickness ratio

s = (Rq12+ Rq22)0.5, composite RMS roughness


A Quick Start

System Requirements

Basic Steps

Domain and Mesh


System Requirements

The computer operating system for running the software is required to be one of the following: Microsoft Windows XP and XP Home edition, Windows XP Pro, Windows Vista Business, Vista Home Basic, Vista Home Premium, Windows 7, Windows 7 Home Premium, Windows 7 Pro, Windows 8, Windows 9, Windows 10, and other compatible systems.

It is recommended to have at least 2 GB of RAM and 20 GB of free hard disk space, especially when running computation cases for simulating rough surface mixed EHL with a dense mesh, or sliding wear over a large number of time steps, or subsurface stresses, or 3-dimensional EHL with plastic deformation considered.


Basic Steps

1. Install the package on your computer by double-clicking the executable installation file and then following the on-screen instructions.

2. Create a working directory on a hard disk for the calculation case to be conducted. Make sure there is a sufficiently large free space available on the disk.

3. Copy an available input data file (in a name with an extension "IN", e.g. "EHL.in", or "Case1-Rough.in") into the working directory. The input data can later be updated/changed and then re-saved in the same file name or a different name.

4. Copy a pair of rough surface data files (File names are with extension "SUF", e.g. "Grinding.suf", "Honing_ClassA.suf", "Polished_Surface1.suf", etc.) to the same directory if the case involves surface roughness.

5. Copy all the files of solution initial value to the same directory when the computation is supposed to be a new case based on an existing solution as an initial value. Note that the files from existing initial pressure and film thickness should be renamed to "pres0.dat", "ppres0.dat", "film0.dat", "ffilm0.dat" and "smooth.dat", and the new computation must use the same solution domain and mesh as those for the initial solution. Please refer to the "List of Files" section for detailed descriptions of these files.

It is important that before starting the calculation, make sure that the following files are in the working directory:

o        For smooth surface cases: All you need is an input file *.IN (e.g. "Case-1.in").

o        For rough surface cases (other than those using sinusoidal roughness only): Add two rough surface files with extension "suf" (e.g. "Surface1.suf" and Surface2_Honed.suf").

o        If the present case needs to use an existing solution as an initial value, include additional files, "pres0.dat", "ppres0.dat", "film0.dat", "ffilm0.dat" and "smooth.dat", in the same directory. This is common for rough surface EHL analyses, as it is usually recommended to use the solution from the corresponding smooth surface case under the same operating conditions as an initial value for the rough surface EHL solution.

6. Execute MainEHL.exe to start the program. A graphic display window will appear and there will be four toolbars on the top of the window. These are stackable toolbars, which can be moved to anywhere within the window frame. Divide the display window into two or four sections as you desire (usually four sections are suggested).

7. Typically, choose the upper-left section for growing lines in order to display solution process in real time. Click in this section once then click on the real-time button RT to confirm the selection. Then click on the input file open button [image] to select and open an input file (with file extension "in"). An "Input Data" dialog window will be opened to display all the existing input data, which can be changed and re-saved to the same file name or a different name as described below.

8. Within the "Input Data" window, go through all the parameters one by one and make changes as needed. You may start from "Current Case Description" on the first page for "General", then proceed to "Contact Geometry", "Operating Conditions" . . . . , and so on. You may choose the input unit system by clicking the "Metric/English" button on the first page. Note that the input data can be either way but all the output data will be in the metric system.

9. Change calculation control parameters by going to "Program Control" after finishing with "Input Parameters". Extra caution is needed when designing your solution domain and computational mesh within the "Solution Domain" section under "Program Control". Please refer to "List of Parameters" for more detailed definitions.

10. Decide if you need to calculate friction and flash temperature, sliding wear and subsurface stresses, and select them in the "Options" section. Keep in mind that these calculations require excessive computing time; therefore, you may choose them only when necessary.

11. Click OK button to close the "Input Data" window after you finish all the data input. To save the modified input data, click "Save" button [image] for using the same file name, or "Save as" button [image] to use a different file name and/or a different directory. The output files will be generated and updated in the directory where the input file is saved.

12. To choose or change the display type in each display window section, click within the section once and then click on either 2D or 3D button to select a view type. Note that 2D is for 2D pressure and film thickness profiles along either the x- or y-direction, and 3D can be chosen for many different 3D parameter distributions/contours, including H for film thickness (or gap), P for pressure, D the composite roughness height within the solution domain, UV the fluid streamline display, S1, S2 the topography evolution due to sliding wear for surface 1 and surface 2, respectively, W1 and W2 the accumulated material removal (wear) distributions within the domain on surface 1 and surface 2, respectively, and, lastly, s x and s y for subsurface stress distributions on the x-z plane and y-z plane, respectively (Note that s x and s y can be either max. shear stress or von Mises stress). All the buttons are shown on the tool bars.

13. The buttons with red capital letters, S, W, and F, are for calculating subsurface stress, sliding wear and friction/flash temperature, respectively. Make sure to click these buttons only when you need these calculations to be carried out (as they are time-consuming).

14. To execute EHL computation, click start button [image] . Two more windows will pop up: The first is a DOS console (display only) showing detailed process in real time, and the second is a small "EHL Progress" box with a growing bar showing the current number of iteration (or time step) and how many percent of the job has been done. Note that the DOS console can be closed or opened during runtime by choosing "Menu"->"Action"->"Open console" or "Close Console". Do NOT close it using the X button at the corner of the console, as this will stop the computation.

15. When the calculation is running, you may pause the calculation by clicking the pause button [image] , or the "Pause" on "EHL Progress" dialog box. You may resume the calculation by clicking the start button [image] , or "Resume" on the progress dialog box. You may change computation control parameters by clicking the input file open button [image] , and changing any parameters under "Program Control" or "Options". As soon as the input file is opened, the computation will pause. After changes are made, you need to close the input file and save it by clicking "Save" button [image] , then clicking the start button [image] again to re-start the computation. If in any case you want to stop the current run, just click the stop button [image] , or "Stop" on the progress dialog box. The program will stop as soon as the current iteration is completed (so it may still take a while).

16. All the graphic displays will be updated after each iteration to show the real-time results. After the calculation is done, both the DOS console window and the progress dialog box will be closed automatically, but all the graphic display sections will remain for your review and possible modification. All the output files will be saved in the same directory where your input file is saved. Total CPU time used for this computational case is recorded at the end of file "OUT.txt".

17. You may use the integrated graphic functions to view all the results during the calculation in real time, or after the calculation pauses or finishes. For 2D views of data files, HP-X.dat and HP-Y.dat, please click 2D button to select 2D view type then click 2D open file button [image] to choose the file. For 3D view types click 3D button, select the parameter to be displayed, then click 3D open file button [image] to choose the file. You may click color button [image] to toggle graph type between color and monochrom with 3D shading. You may also click [image] [image] [image] [image] [image] [image] for different view angles and [image] [image] [image] [image] to rotate the 3D object. In addition, button [image] can be used to move the object, [image] [image] to zoom in and out, and [image] to have the current image refined and freshed after some changes are made. In order to further improve/refine the graphs, you can go to the "Graph" manual, choose the current graph type and open its graph setting window to adjust all the settings. Finally, after the image becomes satisfactory, you can go to the "Graph" manual and click "Graph Crop" and "Graph Save" to cut the image to a preferred size and save it anywhere you want with the JPG (or JEPG) photo format.

18. A module to generate animated movies for time-dependent result demonstrations will soon be integrated into the package. Currently, data files for pressure, film thickness, friction, flash temperature, and sliding wear can be generated as functions of time. These files can be used for making animation movies by using a stand-alone commercial graphic software.


Solution Domain Determination and Mesh Design

It is important to select an appropriate domain size and determine its boundary locations. This is a complicated topic, requiring some experience. Some basic ideas and suggestions are provided here. Generally speaking, if the domain size is too large, the computation would possibly take a very long time. However, if the size is too small, it may cause "insufficient lubricant supply" or 搒tarvation?in the simulation that may lead to a reduced/inaccurate EHL film thickness. A similar situation is also associated with the mesh design: if the mesh is too dense, the computation may be too slow and the efficiency may not be acceptable. However, a coarse mesh may result in large discretization errors. Therefore, a careful design with good compromises is always needed in computational practice. The following recommendations are provided as examples for some generic cases. Users may make changes as they prefer.

Progressive Mesh Densification (PMD)

PMD is a numerical procedure in which the computational mesh is progressively densified in order to accelerate solution process and ensure numerical accuracy. Typically the PMD procedure starts from an initial guess of pressure distribution and an estimated central film thickness. This initial guess can often be the Hertzian pressure distribution, and the central film thickness is often estimated by an empirical formula, e.g. the well-known Hamrock and Dowson formula (See Hamrock and Dowson, 1981). However, a better initial guess can also be used if available. In the beginning, a low level mesh, usually K=II or III, is employed in order to quickly get a good approximation of the pressure and film thickness distributions. Due to the low mesh density, the computation can be very fast. As soon as the relatively loose convergence criteria are met, the computation is switched to the next higher level of mesh, pursuing a more accurate solution. This procedure is automatically repeated, until the proposed/recommended ultimate mesh of the highest density is reached. On the final mesh level, the convergence criteria may be tightened to ensure high solution accuracy.

An Example for Typical Meshes on Different Levels

(assuming the domain is defined as -2.8<X<1.2 and -2.0<Y<2.0):

Level I: 32x32 Mesh sizes: DX=DY=0.125 Mesh density in X-direction: 8.0

Level II: 64x64 DX=DY=0.0625 16.0

Level III: 128x128 DX=DY=0.03125 32.0

Level IV: 256x256 DX=DY=0.015625 64.0

Level V: 512x512 DX=DY=0.0078125 128.0

Level VI: 1024x1024 DX=DY=0.00390625 256.0

Level VII: 2048x2048 DX=DY=0.001953125 512.0

Level VIII: 4096x4096 DX=DY=0.0009765625 1024.0

(DX and DY are dimensionless mesh sizes in X- and Y-directions, respectively. Mesh density is defined as the number of meshes within the Hertzian radius/half width, a)

Note than in the program only the level I mesh numbers, M, and N, are required for input (In the above example M=N=32). Other mesh numbers and mesh size values on higher mesh levels will be calculated automatically. Also, M and N do not have to be the same. For example, if M=32 and N=24 are used for mesh level K=I, then the system will get mesh numbers 64x48 for level K=II, 128x96 for K=III, 256x192 for K=IV, 512x384 for K=V, ...... and so on. However, before M and N are finally selected, it is strongly suggested to check if the corresponding target mesh size/density values in both x- and y-directions on the highest level are satisfactory. Please see the reference paper by Zhu (2007) for more details on the PMD.


Input and Output

I/O Types

Required Input

Types of Output

List of Files

List of Parameters

Computational Controls


I/O Types

Required Input

1) A primary input file with extension *.in is always needed, as stated above in "Basic Steps" section. This file is in binary format, and it can be opened and altered only by the present software package.

2) When surface roughness (other than automatically generated sinusoidal roughness) is involved, two surface files with extension *.suf must be provided. These two files can be obtained either from surface topography measurements by using surface profilometer(s), or from virtual surface textures generated by computer. The data format is required to be floating point, E16.8. Therefore, data conversion may need to be done before executing the EHL computation if the format of data files from the surface profilometer is different. Please contact us if you need any additional help with the data conversion.

3) A set of files for initial solution are needed if one wants to pursue an EHL solution based on an available solution that is believed to be close to the one being pursued. It is usually advantageous if a good initial solution is given. Generally, one can use a smooth surface solution as the initial value for the corresponding rough surface solution under the same (or similar) operating conditions. It is also a good idea to use an available solution as the initial value for other solutions with slightly changed input data (e.g. use the one at 5.0 m/s of speed as the initial value to pursue a new solution at 5.5 m/s). The use of initial solution is highly recommended because a good initial value may greatly accelerate the solution process and help overcome possible slow convergence problems. Note that the files of initial solution need to be renamed to "pres0.dat", "ppres0.dat", "film0.dat", "ffilm0.dat" and "smooth.dat", as stated in "Basic Steps" section.

Types of Output

1) First, the graphic display window(s) provides you with visual images for display of basic results. Usually one window can be divided into four sections so you can have four graphic images that are updated in real time during the computation. These images can be saved in JPG format by using "Crop Graph" and "Save Graph" under "Graph" on the manu bar. If more than four graphic images are needed, you can open as many additional new windows as you want by going to "Window" -> "New Window" on the manu bar. However, the graphic images in the new window(s) will not be automatically updated during the computation. You have to manually update them whenever you need. Please see examples of saved images provided in the next section of "Sample Cases".

2) Secondly, the text file, OUT.txt, summarizes all the major input data and output results as well as some solution process information and control parameters. Also, the data file, OUT.dat, contains 14 columns of data summarizing the major output results as functions of time step (or iteration number). This file is specifically for plotting with either the present package or any other stand-alone graphic software. Detailed description of this file can be found in "List of Files" in the following.

3) Thirdly, all the output details are saved in other data files, such as "film.dat" and "ffilm.dat" for film thickness, "pres.dat" and "ppres.dat" for pressure, "TA.dat" and "TB.dat" for flash temperature, "StressSTRX.dat" and "StressSTRY.dat" for subsurface stress fields, Wear1.dat and Wear2.dat for accumulated wear on the surfaces, and "Surf1.dat" and "Surf2.dat" for surface evolution due to wear, and so on. Please refer to the next section, "List of Files", for detailed descriptions. One can plot out the results by using either the graphic functions of the present package or any stand-alone graphic software.

4) Since output results are often time-dependent, animation movies are certainly helpful for better demonstration of the EHL characteristics and other resulting data. The present package is capable of generating series of files for pressure, film thickness, flash temperature, friction, wear and surface evolution as well as subsurface stresses at every or selected time step(s). Those files can be used to make animation movies. At the present time, one has to use a stand-alone commercial software to make the movies based on the files provided. A software module is being integrated into the present package so that in the near future one can use the present package to generate these movies. Examples of such movies can be found from the web links given in the previous section of "Demonstration of Capabilities".


List of Files

File Name | Data Format | Description
EHL.in (or *.in) | Binary | Input data file (File name to be chosen)
OUT.txt | ASCII Text | Output text file showing solution process and main results
Smooth.dat | ASCII (E14.8) | Smooth solution film shape for comparison
OUT.dat | ASCII (mixed) | Summary of main results as functions of time step
Domain.dat | ASCII (E12.6) | Combined roughness heights within domain
HP-X.dat | ASCII (E12.6) | H and P distributions along x-axis
HP-Y.dat | ASCII (E12.6) | H and P distributions along y-axis
ZN_**.IC | Binary | Influence coefficient data for stress calculation (will be deleted upon completion)
ZS_**.IC | Binary | Influence coefficient data for stress calculation (will be deleted upon completion)
Surface-1.suf (or *.suf) | ASCII (E14.8) | Roughness height data matrix for surface 1 (File name to be chosen)
Surface-2.suf (or *.suf) | ASCII (E14.8) | Roughness height data matrix for surface 2 (File name to be chosen)
SurfaceNew-1.suf | ASCII (E12.6) | Densified roughness data for Surface 1.(updated)
SurfaceNew-2.suf | ASCII (E12.6) | Densified roughness data for Surface 2.(updated)
OrigSurf1.suf | ASCII (E12.6) | Densified roughness data for Surface 1.(original)
OrigSurf2.suf | ASCII (E12.6) | Densified roughness data for Surface 2.(original)
film0.dat | ASCII (E12.6) | Initial film thickness data (input) at step 0
ffilm0.dat | ASCII (E12.6) | Initial film thickness data (input) at step -1
pres0.dat | ASCII (E12.6) | Initial pressure data (input) at step 0
ppres0.dat | ASCII (E12.6) | Initial pressure data (input) at step -1
film.dat | ASCII (E12.6) | Film thickness results at final step N
ffilm.dat | ASCII (E12.6) | Film thickness results at step N-1
pres.dat | ASCII (E12.6) | Pressure results at final step N
ppres.dat | ASCII (E12.6) | Pressure results at step N-1
filmK.dat (K=2,3,4, …7) | ASCII (E12.6) | Intermediate film thickness results on mesh level K (from PMD process)
ffilmK.dat | ASCII (E12.6) | Intermediate film thickness results on mesh level K (from PMD process)
presK.dat | ASCII (E12.6) | Intermediate pressure results on mesh level K (from PMD process)
ppresK.dat | ASCII (E12.6) | Intermediate pressure results on mesh level K (from PMD process)
SmoothK.dat | ASCII (E14.8) | Intermediate smooth film shape on mesh level K (from PMD process)
FilmOut.dat | ASCII (E12.6) | Film thickness results for plotting (smaller)
PresOut.dat | ASCII (E12.6) | Pressure results for plotting (smaller)
TA.dat | ASCII (E11.5) | Flash temperature results for surface 1
TB.dat | ASCII (E11.5) | Flash temperature results for surface 2
Ux.dat | ASCII (E12.6) | Velocity component data in x-direction for plotting stream lines
Vy.dat | ASCII (E12.6) | Velocity component data in y-direction for plotting stream lines
P-N.dat (N=1,2,3, NTC) | ASCII (E12.6) | Pressure at step N for making animation
H-N.dat | ASCII (E12.6) | Film thickness at step N for animation
HP-N.dat | ASCII (E12.6) | Film thickness and pressure profiles along x-axis at step N for making animation
TA-N.dat | ASCII (E12.6) | Flash temperature for surface 1 at step N for making animation
TB-N.dat | ASCII (E12.6) | Flash temperature for surface 2 at step N for making animation
Surf1.dat | ASCII (E12.6) | Results of updated worn surface 1 profile
Surf2.dat | ASCII (E12.6) | Results of updated worn surface 2 profile
Wear1.dat | ASCII (E12.6) | Results of accumulated wear for surface 1
Wear2.dat | ASCII (E12.6) | Results of accumulated wear for surface 2
WD1.dat | ASCII (E12.6) | Results of wear for surface 1 at current step
WD2.dat | ASCII (E12.6) | Results of wear for surface 2 at current step
Surf1-N.dat | ASCII (E12.6) | Worn surface 1 profile at step N
Surf2-N.dat | ASCII (E12.6) | Worn surface 2 profile at step N
Wear1-N.dat | ASCII (E12.6) | Wear amount for surface 1 at step N
Wear2-N.dat | ASCII (E12.6) | Wear amount for surface 2 at step N
R1-N.dat | ASCII (E12.6) | 2D worn profile of surface 1 along x-axis at step N
R2-N.dat | ASCII (E12.6) | 2D worn profile of surface 2 along x-axis at step N
StressSTRX.dat | ASCII (E12.6) | Subsurface stress results on x-z plane (can be either max. shear or von Mises stress)
StressSTRY.dat | ASCII (E12.6) | Subsurface stress results on y-z plane (can be either max. shear or von Mises stress)
*.jpg | photo | Photo files from graphic output (File names to be given)
*.avi | movie | Movie files from animation output (File names to be given)


List of Input Parameters

List of Parameters

Most input and output parameters have already been explained either in output file “OUT.txt” or within the graphic I/O interface. The following are additional descriptions.

Ph Maximum Hertzian contact pressure (GPa)

A Semi-axis of Hertzian ellipse in x-direction, or radius of Hertzian circle, or half-width of Hertzian zone for line contact.

B semi-axis of Hertzian ellipse in y-direction

K Contact ellipticity, K=b/a

E0 Effective Young's Modulus (GPa)

RX Effective radius of curvature in x-direction (mm)

RY Effective radius of curvature in y-direction (mm)

PLMT Assumed maximum pressure due to plasticity in simplified treatment (GPa)

X0 Dimensionless inlet location

XE Dimensionless outlet location

Y0 Dimensionless lateral boundary location

M First level mesh number in x-direction

N First level mesh number in y-direction

S1 Dimensionless moving distance of surface 1

S2 Dimensionless moving distance of surface 2

Delta_S1 Dimensionless Surface 1 moving step length

Delta_S2 Dimensionless Surface 2 moving step length

T Dimensionless time

Delta_T Dimensionless Time step length

DT Dimensionless Time step length

Hc Dimensionless central film thickness

Hm Dimensionless minimum film thickness

Ha Average film thickness

H0 Body nominal separation

KLEV Mesh density level (can be in the range from 2 to 8)

DX Grid length (or mesh size) in x-direction

DY Grid length (or mesh size) in y-direction

NT Outer iteration (or time step) number

IT Number of iteration within each time step

Er Iteration error (First for inner loop and second for load loop)

CPU CPU time used (second)

Parameters for on-screen DOS console display:

NT Time step number

Er Error for inner loop

Err Error for load loop

H Dimensionless average film thickness

P Dimensionless maximum pressure minus Ph

Rq Composite RMS Roughness in contact area after deformation (micron)

Lm l ratio

Wc Contact load ratio

Ac Contact area ratio

Xo Dimensionless inlet distance

wt/wk Calculated total load divided by input load

h0, H0 Dimensionless body nominal separation

HMIN Minimum film thickness (nanometer)

Parameters in OUT.DAT File as a Summary of Results:

(to be used for growing line display and parameter variation plotting)

1st Column: Number of time step

2nd Column: Dimensionless average film thickness (Ha)

3rd Column: Composite RMS roughness in contact after deformation (micron)

4th Column: Dimensionless maximum pressure minus Ph

5th Column: Dimensionless minimum film thickness

6th Column: l ratio

7th Column: Contact load ratio

8th Column: Contact area ratio

9th Column: Dimensionless inlet distance

10th Column: Coefficient of Friction

11th Column: Maximum flash temperature increase on surface 1 (degree C)

12th Column: Maximum flash temperature increase on surface 2 (degree C)

13th Column: Accumulated wear on surface 1 (mm3)

14th Column: Accumulated wear on surface 2 (mm3)

A case description is given in the last row of OUT.DAT

A Sample OUT.DAT File:

1 0.000675798 0.019918 0.008008 0.000214224 0.5618292 0.0000000 0.0000000 3.4000001 0.0587360 18.239 17.724 0.00000000 0.00000000
2 0.000679056 0.039819 0.017873 0.000145947 0.5645376 0.0000000 0.0000000 3.4000000 0.0587412 18.297 17.749 0.00000000 0.00000000
3 0.000681692 0.059680 0.027844 0.000089665 0.5667288 0.0000000 0.0000000 3.4000000 0.0587494 18.351 17.760 0.00000000 0.00000000
4 0.000682787 0.079520 0.064804 0.000007158 0.5676389 0.0000000 0.0000000 3.4000000 0.0587480 18.482 17.831 0.00000000 0.00000000
5 0.000684251 0.099491 0.089688 0.000000000 0.5688567 0.0001045 0.0004633 3.4000000 0.0587500 18.545 17.849 0.00000000 0.00000000
6 0.000682165 0.118888 0.123512 0.000000000 0.5671224 0.0006468 0.0014824 3.4000000 0.0587925 18.726 17.902 0.00000000 0.00000000
7 0.000682724 0.138786 0.172066 0.000000000 0.5675871 0.0039698 0.0055127 3.4000000 0.0589546 18.826 18.028 0.00000000 0.00000000
8 0.000679302 0.156375 0.184026 0.000000000 0.5647422 0.0111337 0.0139903 3.4000000 0.0592340 19.101 18.566 0.00000000 0.00000000
9 0.000680696 0.174665 0.266334 0.000000000 0.5659009 0.0200326 0.0243671 3.4000000 0.0595480 19.303 20.399 0.00000000 0.00000000
10 0.000679013 0.190746 0.248983 0.000000000 0.5645016 0.0299988 0.0345587 3.4000000 0.0599206 22.197 22.858 0.00000000 0.00000000
11 0.000680618 0.206806 0.367844 0.000000000 0.5658364 0.0429007 0.0491049 3.4000000 0.0604792 22.086 23.562 0.00000000 0.00000000

....................

488 0.000770113 0.318251 4.242567 0.000000000 0.6402381 0.2512951 0.2516393 3.4000000 0.0707596 81.917 78.705 0.00000000 0.00000000
489 0.000768249 0.320736 4.251801 0.000000000 0.6386887 0.2507621 0.2530291 3.4000000 0.0709026 74.725 57.859 0.00000000 0.00000000
490 0.000768551 0.321628 4.292607 0.000000000 0.6389392 0.2499533 0.2486282 3.4000000 0.0707440 85.881 88.290 0.00000000 0.00000000
491 0.000768943 0.323789 4.174183 0.000000000 0.6392656 0.2470437 0.2527048 3.4000000 0.0706130 78.150 58.269 0.00000000 0.00000000
492 0.000767164 0.324125 4.277132 0.000000000 0.6377864 0.2448036 0.2471458 3.4000000 0.0704303 115.734 106.797 0.00000000 0.00000000
493 0.000767884 0.327902 4.341453 0.000000000 0.6383854 0.2459235 0.2506202 3.4000000 0.0705718 79.082 57.981 0.00000000 0.00000000
494 0.000764067 0.326721 4.231319 0.000000000 0.6352117 0.2447740 0.2477017 3.4000000 0.0705370 129.544 114.522 0.00000000 0.00000000
495 0.000764009 0.331103 4.421813 0.000000000 0.6351632 0.2470410 0.2499716 3.4000000 0.0705646 99.903 66.304 0.00000000 0.00000000
496 0.000758574 0.329918 4.148739 0.000000000 0.6306451 0.2441308 0.2478407 3.4000000 0.0703300 131.891 84.063 0.00000000 0.00000000
497 0.000756233 0.333061 4.421717 0.000000000 0.6286991 0.2451938 0.2489061 3.4000000 0.0704096 104.259 76.565 0.00000000 0.00000000
498 0.000751845 0.333653 4.007654 0.000000000 0.6250510 0.2459701 0.2481649 3.4000000 0.0704281 101.640 84.990 0.00000000 0.00000000
499 0.000749850 0.334741 4.294716 0.000000000 0.6233922 0.2471258 0.2492304 3.4000000 0.0704871 120.005 75.059 0.00000000 0.00000000
500 0.000746420 0.337099 4.091342 0.000000000 0.6205406 0.2479140 0.2474237 3.4000000 0.0704028 102.393 85.671 0.00000000 0.00000000
A Case For Composite RMS Roughness 0.4 micron, Transversely Ground Surfaces

NT Ha Rq Pmax-Ph Hm l ratio Wc Ac X0 friction TA TB Wear1 Wear2


Computational Controls

The following are descriptions of main control parameters listed in the "Program Control" section of the "Input Data" window. It is important to appropriately set all the control parameters in order to get a converged solution quickly. It requires some experience and the value of each parameter may sometimes need to be adjusted from case to case. Although most parameters do not have to be changed greatly, it may not be a good idea to keep them constant all the time for every specific case. We strongly suggested that the users go through all the examples in the "Sample Cases" section below, trying to run these cases by yourself and adjusting each parameter to see its influence on the solution. You will gain necessary experience quickly in this way.

Main Switches

Calculation begins for (NSTART): There are three choices for how to start the case. 1) Start a new case using Hertzian pressure as an initial value; 2) Start a new case using an available solution (saved in pres0.dat, ppres0.dat, film0.dat, ffilm0.dat and smooth.dat) as the initial value; 3) Continuation of an unfinished case (Solution from the last run is saved in pres.dat, ppres.dat, film.dat, ffilm.dat and smooth.dat). Basically, with a good initial guess the computation can be fast and a satisfactory converged solution can be quickly obtained. Typically, for example, when solving a rough surface EHL problem one can use its corresponding smooth surface EHL solution as the initial value. Or, if a solution for 400 N of load is available, it can be employed as an initial value for the solution of 450N of load under otherwise the same conditions, and so on. If there is no good initial value available, one can always use the corresponding Hertzian pressure, which will be automatically given immediately after the computation is started.

Total Number of Time Steps (NTC): How many time steps (or iterations in the outer loop for load balance) you initially plan to run. It is usually a sufficiently large number. As the solution process is going on, you will be able to see from the RT graph (real time growing lines) if this number is appropriate or not. You may pause the computation and change this number anytime if necessary. Also, it is possible that the computation may stop automatically before reaching this number if all the convergence criteria are met.

Pause at (NPAUSE): This is a predetermined time step number at which you want to pause the computation in order to make some changes to the current run. For example, you may want to change the rolling speed or the load after 300 steps, or you may just want to check with the results before going any further.

Inlet Distance Adjustment (KFLOOD): The inlet distance is usually predefined by X0, which is often in a range from 1.5 to 3.5. If X0 is large, the mesh density may be low with a certain number of grids in the x-direction, and the numerical accuracy may be affected. If the inlet distance is small, on the contrary, the mesh may be dense but there may be a risk of "starvation" physically representing insufficient lubricant supply that may cause a considerable reduction of the EHL film thickness, especially when the EHL film is thick under high speed and/or light load conditions. The present package provides an option to automatically adjust the inlet distance in order to avoid starvation. However, we do not suggest to take this option unless absolutely necessary, as changing the inlet distance may require re-defining the domain and mesh repeatedly, and this may cause a very slow solution process. It may not be any better than starting a new case with a better estimated fixed inlet distance after a quick trial-and-error.

Copy Rough Surface in X Direction (KCOPY_X): In reality two rough surfaces are running through the EHL conjunction continuously. It is prefered, therefore, that any moving surface is sufficiently long to avoid possible discountinuity during its running. However, the surfaces are digitized and saved as data matrices within limited length and width due to the measurement technique used. The length and width are sometimes even smaller than those of the EHL solution domain. It is sometimes needed, therefore, to copy the same peace of the surface in x- and/or y-directions in order to have the entire domain always covered with the rough surfaces. There are two ways to copy these surfaces, one is to copy in the same direction so that surface orientation property will not change, but at the border between copied pieces the roughness height may not be continuous. The other way is to copy the surface in opposite direction at each connecting border (called "flip"). In this way the roughness height is continuous at the borders but the surface orientation may not be consistent.

Copy Rough Surface in Y Direction (KCOPY_Y): See similar descriptions above.

Contact Pressure Limit PLMT (KPLMT): When roughness is involved the local pressure peak may become very high due to asperity contacts. Since in EHL analyses the materials are assumed to be ideally elastic without consideration of plastic deformation, any possible rough surface asperity contacts may yield unrealistically high pressure peaks in numerical simulations. The best way to solve this problem is to use a plasto-EHL model that takes into account the plastic deformation. However, the solution process may be very time consuming when the plasticity is involved. A simplified treatment is sometimes employed, setting a pressure limit in the solution process, beyond which the pressure peak will be simply truncated. This pressure limit is often equal to the hardness of the material. KPLMT is a trigger to control if the truncation process will be used or not.

Calculate Friction and Temperature (KFRCTMP): This is a trigger to control if mixed EHL friction and flash temperature will be calculated or not. Note that this type of calculation may considerably increase computing time. Also, flash temperature calculation is based on the assumption that both surfaces are fast moving. Its results may not be accurate if one of the surfaces are moving very slowly or even stationary. Therefore, it is not always needed.

Calculate Flow Lines (VCAL): This is a trigger to control if the lubricant flow steamlines at mid-film layer will be calculated or not. In most cases it may not be required.

Rheological Model (KRHEO): It is a trigger to be used to select lubricant rheological model between Newtonian and Non-Newtonian. See model description section.

X Difference Scheme: To choose differential scheme between the first order backward and the second order backword for DH/DX calculation. The second order is often preferred.

T Difference Scheme: To choose differential scheme between the first order backward and the second order backword for DH/DT calculation. The second order is often preferred.

Solution Domain

Progressive Mesh Densification (PMD): To turn the PMD on or off. The PMD is often useful for accelerating the solution process. With the present package the PMD is provided mainly for smooth surface EHL problems.

Target Level of Mesh (KLEV): Should be sufficiently dense to ensure the numerical accuracy. See "Domain and Mesh" section. It is often set to 4, 5 or at most 6. 7 and 8 are not recommended as they may cause a huge amount of computation.

Input Level of Mesh (KLEV_IN): Should be relatively coarse in order to quickly get an approximate solution in the PMD process. Usually it is set to 2 or 3. sufficiently dense to ensure the numerical accuracy. See "Domain and Mesh" section. If the PMD is not used, this will be used for switching the mesh level when starting a new case based on a saved solution or continuing an existing case on a different mesh level.

Number of Grids in X-Direction for Level 1 (M): When defining the mesh only number of grids on mesh level 1 is needed, as other meshes on higher levels will be automatically generated. It is often set to 24, 32 or 48.

Number of Grids in Y-Direction for Level 1 (N): Similar to that in X-direction. Note that M and N do not have to be the same, especially when the domain is not a square. N should be carefully chosen in order to have the dimensionless mesh density in Y-direction comparable to that in X-direction.

Full or Half Domain (KHALF): If the surfaces are smooth or their topographic features are symmetric about the X-axis, the EHL solution will also be symmetric, so one can considerably save computing time by solving the problem only within half of the domain, and the solution on the second half of the domain can be easily obtained by copying that on the first half. Note that when using machined rough surfaces (whose height distributions are usually random and non-symmetric), it is recommended to solve the problem on the full domain.

X0, XE and Y0: Parameters to define the solution domain. Please see "Domain and Mesh" section for details. Note that in the input window X0 and Y0 are usually set to negative values while XE always positive.

Control Parameters Set 1

Load Loop Modification Factor (FWC): This is for advanced users who want to optimize solution process and accelerate load loop convergence. In most cases it can be set to a constant value between 10 and 100.

Film Thickness Lower Limit (Hmin): Since an absolute zero film thickness (or gap) is not physically meaningful in reality, and the atom size is of the order of a few tenths of nanometer and the lubricant molecule size is usually around a few nanometers, one may want to set a lower limit for the calculated EHL film thickness in the solution process. It is usually in a range from zero up to 10 nanometers. This will not significantly affect the mixed EHL solution.

Maximum Inlet Distance (X0MAX): When the inlet distance is chosen to be adjusted during the solution process (See KFLOOD in "Main Switches" section above), it is needed to set a maximum value in order to avoid overflow caused by chain reaction due to continuously increased calculated film thickness.

Inlet Distance Adjustment (X0DEL): When adjusting the inlet distance during the solution process a small step length is preferred in order to avoid overflow. This step length is often in a range from 0.005 to 0.025.

Relaxation Factor for Adjusting Inlet Distance (FX0): An small under relaxation factor is preferred when adjusting the inlet distance step by step. Note that FX0, X0MAX and X0DEL are not frequently used because the automatic adjustment of inlet distance is usually not recommended.

Convergence Factor for NT Iterations (ERNC): This is a criterion for load loop convergence. Usually it is set to be very small, around 1E-5 to 1E-9, especially in rough surface cases in which we do not typically expect the solution to be converged between two time steps due to its transient nature caused by moving roughness.

Convergence Factor Select (for ERRX, BT): One can choose between manually selecting ERRX and BT, or automatically selecting through default setting provided by the program.

Convergence Factor (ERRX): This is the pressure convergence criterion for inner loop. If the convergence factor select is chosen to be manual, then the user needs to set a small value for ERRX. Generally, for smooth surface problems ERRX can be very small typically in a range from 1E-9 to 1E-5. For rough surface problems especially with high frequncy machined roughness under severe conditions, it needs to be larger, say from 1E-5 to 1E-3, in order to avoid huge computing time. Note that it is always the case that one has to find a good compromise between the numerical accuracy and the computational efficiency. The smaller the ERRX, the more accurate the solution, but the longer the computing time.

Maximum Number of Iterations (NMAX): Sometimes it is difficult to reach a very high convergence criterion within the current time step (or outer loop iteration). It may not be a good idea to let the computation go on infinitely within the same loop. A maximum iteration number is therefore given so that the computation can go on to the next time step and in many cases this may actually accelerate the overall solution process. NMAX is often set to be 300 up to 2000.

Under-Relaxation Factor for Level 4 (BT): This is an important control parameter that may affect the convergence speed and solution stability considerably. Generally, BT should be at least one or two orders of magnitude greater than the convergence factor ERRX, typically in a range from 0.005 to 0.05. Note that the BT given here is for level 4 mesh. If the mesh is changed, BT will be automatically adjusted (An increase in mesh density may require a reduced BT in order to ensure quick convergence). In practice, it is often a good idea to reduce BT if the convergence is difficult and the solution keeps jumping up and down. On the contrary, one may need to increase ET when the process is quite stable but the convergence is too slow. BT can be adjusted anytime during the solution process by opening the input file. After the adjustment is made, one can resume the current run to continue the computation.

Diagonal Diminance Factor (PHWGT): This is for advanced users who want to fine tune the solution process to enhance diagonal dominance in the discretized Reynolds equation. When the convergence is difficult or slow, one may try to change it preferably in a range between 1.2 and 1.8. In most cases it can be set to a small value between 1.2 and 1.4.

Control Parameters Set 2

Correlation Between DT and DX (of DX): It is often needed to correlate time step length DT with spatial mesh size in the moving direction, DX, so that any surface moving forward by one time step will not jump over more than one mesh grid on the solution domain. This is particularly important for problems with moving rough surfaces. If 1 is chosen, it means that the faster moving surface will move roughly 1 time of DX within one time step. When 1/4 is selected, then the faster moving surface will move 1/4 of DX forward by one time step, and so on. It is suggested that DT is set to be 1/4, 1/2 or 1 times of DX for rough surface problems. However, when the problem is transient with high frequency roughness, and/or the EHL film is very thin under severe condition, a very small time step length, say 1/8 or 1/16 times of DX, may be desirable. On the contrary, smooth surface steady-state problems may prefer a large time step length, e.g. 3 or 4 times of DX. When "Default" is selected here, the program will automatically set the time step length according to one time of DX of the target computationa mesh. If "Independent" is chosen, one needs to manually enter the dimensionless time step length in the next space for DT.

Dimensionless Time Step Length (DT): DT will be automatically calculated in most cases. It requires a manual input only if "Independent" is chosen with the above entry for "Correlation Between DT and DX" (see above).

Roughness Entering Type Select: Solving a rough surface problem is typically based on an available smooth surface solution, to which one can apply the roughness either gradually step by step, or immediately cover the entire domain with its full height. For some difficult cases, it is recommended to apply the roughness gradually. One way is to let the rough surfaces enter the domain from the inlet side and approach the center of contact zone step by step, then eventually cover the entire domain. Another way is to make the roughness cover the entire domain immediately but its height slowly grow from zero to the full height. Both methods are okay and their ultimate results will be nearly the same or very close after a large number of steps if the time step length is sufficiently small.

Roughness Growing Steps: The number of time steps required for the roughness to grow from zero to its full height, in case growing roughness is selected for the above entry. Typically it can be set to 20-50.

Correlation Between DXR and DX: For rough surface EHL problems, it is of great importance to understand that there are actually three computational meshes involved in the solution process. The first is used for discretizing the Reynolds equation on the solution domain, whose mesh size in X-direction is DX (See "Domain and Mesh" section above). The second one is for discretizing the roughness topography of Surface 1, whose mesh size DXR1 is determined usually by the surface measurement technique used. The third one is for discretizing Surface 2 with a mesh size DXR2 in the way similar to that for Surface 1. When solving the Reynolds equation one has to calculate DH/DX on the solution domain mesh, and the calculation of DH/DX highly depends on the roughness derivative, and it is vital to the accuracy of the EHL numerical solution (Please refer to the Reynolds equation and the film thickness equation in the section of "Model Description"). Before using the roughness height data on the surface mesh to calculate the roughness derivatives on the solution domain mesh, it is better to make sure that the surface mesh is denser than the domain mesh in the same direction, i.e. DXR1 and DXR2 smaller than DX. Otherwise the numerical errors may become unacceptable. In case DXR1 and DXR2 are much smaller than DX, one may choose "Independent" for this entry, which means no mesh densification for the surface meshes are needed. If DXR1 and/or DXR2 are greater than DX, on the other hand, it is preferred to densify both the surfaces before the solution process is started. The densified surfaces are saved in two files, SurfaceNew-1.suf and SurfaceNew-2.suf. The mesh size for the densified surfaces, DXR1 and DXR2, should be correlated with that of the solution domain, DX. Typically DXR can be chosen to be1/8, 1/2 or 1/4 of the DX. If the DXR is too small, the file size of SurfaceNew-1.suf or SurfaceNew-2.suf may become too large and difficult to handle.

Correlation Between DYR and DY: Similar to above.

It is important to note that all the suggested parameter values above are for reference only. No specific parameter set is universally applicable to every case. The only effective way to gain sufficient experience is to conduct various types of analysis by yourself, and the sample cases provided are those easy to follow for this purpose.


Sample Cases
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/
In order to quickly understand the software functionality and learn how to use the package, it is probably the best to follow some typical examples then try to play with them by yourself with the same and then altered input data and computation control parameters. This section provides 14 examples with links to relevant websites, where you can see and download all the input and output files of each case. It is recommended that you may go through all the cases and read the short descriptions one by one in the given order. You may download the input files, try to conduct each case by yourself and then compare your results with those provided. Special attention must be given to those computation control parameters, which require experience to manage. You will gain substantial experience gradually as more and more cases are executed by yourself.
Case 1: A Smooth Circular Contact EHL Case Using PMD Method
Case 2: A Circular EHL Case at Ultra-Low Speed
Case 3: A Circular Concat of Machined Rough Surfaces
Case 4: A Smooth Line Contact Case
Case 5: A Smooth Elliptical Contact Case
Case 6: An Elliptical Contact of Machined Rough Surfaces
Case 7: A Circular Contact Case with Sliding Wear Considered
Case 8: A Line Contact of 3-Dimensional Sinusoidal Rough Surfaces
Case 9: A Hertzian Elliptical Contact with No Lubrication
Case 10: A Circular Contact of Sinusoidal Surfaces
Case 11: An Elliptical Contact of Sinusoidal Surfaces
Case 12: A Smooth Roller Contact Case with Fillets
Case 13: A Smooth Roller Contact Case with Chamfers
Case 14: A Rough Roller Contact Case with Fillets


A Smooth Circular Contact EHL Case Using PMD Method
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-1/

The main objectives of this case include 1) letting you get familiar with basic input and output data for a relatively simple smooth circular contact EHL case with thick lubricant film and no rough surface asperity contact; 2) showing you how the progressive mesh densification (PMD) approach is used and how the computation is accelerated significantly; 3) demonstrating the basic friction and flash temperature calculation functions; 4) demonstrating the subsurface stress calculation function; 5) displaying lubricant flow streamlines that may help you better understand the hydrodynamics in the EHL conjunction.

There is only one input file, PMD-Demo.in, in this case. All the other files are output results automatically generated during the solution process, except those photo files with extension "JPG", that are manually created after the computation is done by using "Crop Graph" and "Save Graph" under "Graph" on the menu bar.

Please open the input file, PMD-Demo.in, with the present software to see all the details of the input and the settings for solution process control. You may also read the text file, OUT.txt, in which all the main input and output as well as the total CPU time used for this case are recorded. For descriptions of all the files, please refer to "List of Files" and "List of Parameters" in the previous "Input and Output" section.

All the photo files show you the main results graphically. They can be opened one by one by double-clicking the relevant file name when the web-link given above is opened. Note that in this case RT.jpg shows growing lines for demonstrating the entire solution process, H.jpg and H-1.jpg are for lubricant film thickness distribution, H-2.jpg gives a film thickness contour map with lubricant flow streamlines on the mid-film layer. P.jpg and P-1.jpg for pressure distribution, SX.jpg and SY.jpg the subsurface von Mises stress distributions on the X-Z and Y-Z cross-sections, respectively, TA.jpg is a sample graph for flash temperature distribution on Surface 1 (or Surface A) based on the data file TA.dat, and HPX.jpg and HPY.jpg for the 2-dimensional film thickness and pressure profiles in the x- and y-directions, respectively,

It is recommended that, while keeping a copy of all the files in a separate folder, you may change some of the input data and/or computation control parameters and then re-conduct the case and compare the results with original ones to see how the differences look like. In this way you can better understand each of the functions this software offers. For example, you may change "Progressive Mesh Densification" selection under "Program Control" -> "Solution Domain" from YES to NO, and set both "Target level of mesh" and "Input level of mesh" to 5 (using a fixed level 5 mesh of 512x512). When you re-run the case, you will see how much the PMD accelerated the computation.


A Circular EHL Case at Ultra-Low Speed
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-2/

This case shows that the present mixed EHL package is capable of handling cases at ultra-low speeds. Under such condition the hydrodynamic action becomes negligible and the case can be considered as that of a dry contact. In this case the PMD is used and the computational mesh is progressively densified from level 2 (64x64) to level 4 (256x256), and calculated EHL central film thickness is zero on each mesh level. Consequently, the contact load ratio and contact area ratio are all 100%, as shown in the files of OUT.txt, OUT.dat and RT.jpg. The pressure distribution and maximum pressure are almost the same as those predicted by the Hertzian theory, displayed in the files of HP-X.dat, HP-Y.dat, HPX.jpg and HPY.jpg. This indicates that the present mixed EHL model agrees with the dry contact theory well when the speed is extremely low and the hydrodynamics vanishes. The EHL solver is sufficiently robust to deal with the extremely severe conditions.

Note that when calculating the subsurface von Mises stress field, tangential friction force has been taken into account in this case (coefficient of friction is 0.25). Therefore, the stress field shown in SX.jpg is no longer symmetric, the maximum value slightly increases and its location moves towards the surface. This is also in good agreement with the dry contact theory.

However, it is also observed that it takes relatively a long time to solve the dry contact problems with the EHL model, and, if the mesh is not sufficiently dense (like the one in this case), small ripples of pressure profile on the cross-section in the y-direction due to numerical discretization errors appear to be difficult to vanish (see P.jpg and HPY.jpg). Theoretically one can use the EHL model to solve dry contact problems, as dry contact is nothing but a special case of lubricated contact under the conditions of ultra-low speed and/or ultra-low lubricant viscosity/density. However, practically a separate dry contact model, specifically developed for solving dry contact problems, is still preferred, because the EHL model may take a longer time and undergo more difficulties to achieve a satisfactory solution.


A Circular Concat of Machined Rough Surfaces
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-3/

This case demonstrates how a mixed EHL solution based on machined rough surfaces under severe operating conditions is obtained with the present software package. Two rough surface files, CBN22N.suf and CBN23N.suf, obtained from measurements of two ground surfaces with an optical profilometer, are used in the mixed EHL simulation. The composite roughness data matrix is provided in a data file, Domain.dat, and its graphic image shown in D.jpg and D1.jpg. An initial solution from a corresponding smooth EHL case under the same operating conditions is employed with relevant files, film0.dat, ffilm0.dat, pres0.dat, ppres0.dat and smooth.dat, was provided before the computation is started.

Since the average film thickness is transient, slightly fluctuating around 387 nanometers or so, and the original composite RMS roughness is 800 nanometers, severe asperity contacts take place and calculated l ratio is about 0.48. The contact load and area ratios are about 0.33 and 0.35, respectively. The severe asperity contacts also result in an increased coefficient of friction in the mixed EHL, around 0.09, and a significant flash temperature rise about 160-180 degree C due to the rough surfaces rubbing against each other, as well as a maximum von Mises stress of 1.656*Ph located very close to the surface. Please see the results in the provided files, H.jpg, P.jpg, TA.jpg, SX.jpg, SY.jpg, OUT.dat, OUT.txt, and others for details. No that in this case sliding wear is not considered. However, in Case 7 given below wear is simulated under the same operating conditions. Case 3 is carried out with 270 time steps. Actually after about 200-220 steps all the results (such as the average film thickness, pressure and contact load ratio) are globally stabilized, as shown in RT.jpg. In Case 7 the simulation will continue based on Case 3 from time step No. 271 with sliding wear and surface evolution considered.

Note that the convergence criteria may considerably influence the numerical accuracy of the solution especially when machined roughness is involved. However, a very small convergence factor may lead to an excessive computing time that may not be acceptable in practice. Therefore, a carefully chosen convergence factor representing a reasonable compromise between numerical accuracy and computational efficiency is always necessary. In this case and most other cases given below, the convergence factor listed under "Control Parameter Set 1" is set to 0.0001 or slightly smaller.


A Smooth Line Contact Case
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-4/

This case gives a simple example of 3-dimensional line contact EHL simulation. If both surfaces are ideally smooth, the line contact problem can be simplified with a 2-dimensional model. However, when surface roughness is involved, the distributions of film thickness, pressure, possible asperity contacts, interfacial temperature and subsurface stresses often become 3-dimensional due to the topography of contacting rough surfaces that are usually 3-dimensional in engineering practice. Therefore, a 3-D line contact EHL model is needed, considering a finite width of contact zone in the moving direction but an infinitely long contact length in the other direction perpendicular to moving. To demonstrate how the 3-D line contact model works, a smooth surface EHL problem is simulated first in this case, and a rough surface line contact EHL analysis will be given in Case 8.

Note that, although the contact length is infinitely large, in the 3-D line contact EHL simulation the solution domain has to be cut to a finite length in the y-direction. It is assumed that all the physical parameter distributions (for pressure, film thickness, roughness, deformation, etc) are periodically repeated in the contact length direction, so that analyzing the EHL characteristics within a domain of finite length is justified. A mixed FFT (fast Fourier transfer) approach is employed to take care of the calculation of surface deformation, which is caused by the distributed pressure not only inside the domain but also outside the domain extended throughout the infinite contact length. Please refer to the paper by N. Ren et al (2009) for details.

The PMD approach is used in this case to accelerate the solution process, and its basic steps can be seen in OUT.txt and RT.jpg. After about 350 iterations the solution gets converged and stabilized. Obtained pressure, film thickness and subsurface stress distributions all show two-dimensional nature without parameter variation in the contact length (y) direction, as illustrated in P.jpg, P1.jpg, H.jpg, H1.jpg, HPX.jpg, HPY.jpg, SX.jpg and SY.jpg. The ideally flat/straight profiles of pressure, film thickness and maximum subsurface shear stress along the y-direction, illustrated in HPY.jpg and SY.jpg, indicate that the EHL in the infinitely long line contact is successfully simulated with the 3-D model within the domain of finite length. The 3-D model is necessary when the roughness is involved. Since the film thickness in this case is very small, only about 17 nanometers, the pressure distribution and the film shape are very close to those predicted by the Hertzian line contact theory.


A Smooth Elliptical Contact Case
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-5/

This case is for a smooth elliptical contact at a contact ellipticity of K=0.6. Note that an ellipticity smaller than 1.0 means that the major axis of ellipse is parallel to the moving (x) direction, as shown in H.jpg and P.jpg. Since the central film thickness is rather small, about 51 nanometers, slight direct surface contact already takes place on the two sides of the Hertzian contact zone, as displayed in H.jpg. Lubricant flow streamlines are illustrated in H-2.jpg.

The objectives of this case are to demonstrate the software capability for handling elliptical contact EHL problems, and to provide an initial solution for a rough elliptical contact EHL analysis in Case 6.


An Elliptical Contact of Machined Rough Surfaces
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-6/

This case uses an available smooth surface solution provided by Case 5 as an initial value for the rough surface EHL analysis under the same operating conditions. The input files include Ground-Elliptical.in, rough surface data files CBN22N.suf and CBN23N.suf, and a set of initial value files, pres0.dat, ppres0.dat, film0.dat, ffilm0.dat and smooth.dat. These initial value files are directly copied and renamed from pres.dat, ppres.dat, film.dat, ffilm.dat and smooth.dat obtained as calculation results in Case 5.

This is a typical case of mixed EHL in elliptical contacts with significant asperity contacts.The simulation was conducted for 500 time steps. After 400 steps the solution becomes globally stabilized, as shown by the growing lines in RT.jpg. Due to the small average EHL film thickness around 90 nanometers, the contact load ratio fluctuates around 55-60%, the l ratio around 0.23, and the coefficient of friction stays high, about 0.15 based on the assumption that the boundary lubrication coefficient of friction is 0.25. In addition, the subsurface stress field illustrated in SX.jpg and SY.jpg exhibits significant von Mises stress increase concentrated very close to the surface, caused by the severe rough surface asperity contacts.


A Circular Contact Case with Sliding Wear Considered
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-7/

Case 7 is based on Case 3 under the same operating conditions. After 270 time steps in Case 3 the mixed EHL solution is globally stabilized but small fluctuations in film thickness and pressure still exist due to moving surface roughness. With these 270 steps, sliding wear is not considered, so the rough surfaces remain the same as original.

In Case 7 the numerical simulation continues for the next 200 steps with surface evolution due to sliding wear considered. The material is removed from each surface at locations where severe asperity contact occurs, and the amount of material removal is inversely proportional to the hardness according to the Archard Law. As the material is being removed the rough surface topography is changed, and the updated surfaces will be used for the mixed EHL simulation in the next time step. Please refer to the paper by D. Zhu et al ( 2007) for detailed simulation method description of sliding wear in the mixed EHL.

It can be seen from RT.jpg that after the wear is included in the simulation at time step 271, the contact load ratio and friction gradually decrease and the average film thickness increases. After a certain number of steps, the asperity contact, friction and film thickness all get relatively stabilized again. This is a typical running-in phenomenon often observed in experiments. Within the 200 steps the surface moving distance is still small, but wear tracks start to establish on both surfaces, especially on Surface 2, which moves faster. This can be observed in W1.jpg and W2.jpg. Note that Surface 2 experiences more wear than Surface 1, as it is softer and moving faster. The surface evolution can hardly been seen in S1.jpg and S2.jpg, because the change is still small. Very similar results with a much longer simulation duration can be found by the web links below (These links are also given in "Demonstration of Capabilities" section):

  • Two ground surfaces in a rolling-sliding point contact with simulated surface evolution due to sliding wear: Film thickness and pressure distributions
  • Two ground surfaces in a rolling-sliding point contact with simulated surface evolution due to sliding wear: Surface evolution and accumulated wear

    In addition, Case 7 also shows how the files for generating animation movies are obtained. Please see control parameter settings given under "Options -> Animation". During the simulation in Case 7, at each time step the distributions of pressure (P), film thickness (H), updated surface topography (Surf1 and Surf2), accumulated wear on each surface (Wear1 and Wear2) and flash temperature (TA and TB) are recorded and saved in sequence. All the files for animation generation have been moved to a separate folder with its link as follows:

    www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-7/Files_For_Animation/


A Line Contact of 3-Dimensional Sinusoidal Rough Surfaces
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-8/

This case demonstrates the capability to simulate 3-dimensional line contact EHL with 3-D surface roughness. The sinusoidal roughness used can be automatically generated, so no additional surface files are needed. Please pay special attention to parameter settings under "Input Parameters -> Surface Roughness". Under the above web link there are two folders, one is named "SM/", which contains a set of files for the smooth surface line contact solution. In the other one, "SIN/", a rough surface solution under the same operating conditions is kept, that was obtained based on the initial value from the smooth surface case in "SM/". It is alway recommended to get a smooth EHL solution and then use it as an initial value for rough surface solution.

Due to the 3-D periodical nature of the roughness, all the distributions of pressure, film thickness, and subsurface stress have shown similar patterns that well correlate with the roughness. This can be seen from H.jpg, P.jpg, SX.jpg and SY.jpg. Since this is a pure rolling case with no relative sliding motion between the two surfaces, the flash temperature and friction are zero, and the relevant files, TA.dat and TB.dat, contain no data but zeros.


A Hertzian Elliptical Contact with No Lubrication
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-9/

This case demonstrates that the present software package can be used to calculate Hertzian contact parameters with no lubrication considered, in case there is a need to analyze a smooth surface dry contact problem, but no other simple tool readily available for this purpose. Please note that under "Program Control -> Main Switches", the total number of time steps is set to 1, and under "Control Parameter Set 1" the convergence factor is set to be very large and the underrelaxation factor very small. In this way the computation takes only a fraction of a second and the solution will not be altered from its initial value obtained from the Hertzian contact theory. This function is very useful especially for elliptical contact problems, because there is no simple formula one can use for calculating elliptical Hertzian contact parameters with a calculator.

In this case the contact ellipticity is K=2.50 and the maximum Hertzian pressure 1.6525 GPa. Because a coefficient of friction of 0.35 is considered in the subsurface stress calculation, the von Mises stress distribution is greatly altered, compared with the one with no friction considered. The maximum value is increased to 0.6862 or so, and its location is moved to the surface, as stated in OUT.txt and illustrated in SX.jpg.


A Circular Contact of Sinusoidal Surfaces
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-10/

This case employes the smooth circular contact EHL results obtained in Case 1 as an initial value to pursue a rough surface solution under pure rolling condition. The roughness is sinusoidal so there is no additional surface file needed. It can be seen that the rough surface solution gets stabilized after about 250-300 time steps, and the distributions of pressure, film thickness and subsurface stresses correlate with the roughness well. The friction and flash temperature are zero due to the pure rolling condition.

Note that in this case the entire computation is on a level 4 mesh of 256x256. The initial solution from Case 1, therefore, is obtained from a separate run with the final mesh on level 4, whose results are provided in the sub-directory "SM/".


An Elliptical Contact of Sinusoidal Surfaces
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-11/

This is an elliptical contact EHL solution with two sinusoidal rough surfaces of the same type in pure rolling. The contact ellipticity is K=3.0 and the maximum Hertzian pressure 1.70 GPa. The average film thickness is about 330 nanometers and the original composite RMS roughness 500 nanometers. However, the sinusoidal asperities are considerably flattened when they get in the EHL conjunction, so the composite RMS roughness is reduced to 200 nanometers or so, a 60% reduction. Therefore, no significant asperity contact is observed in this case, although the calculated minimum film thickness is tiny, only 5 nanometers.


A Smooth Roller Contact Case with Fillets
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-12/

In engineering practice most line contact components are purposely designed to have a crowning in the contact length direction in order to accommodate possible non-uniform load distribution due to misalignment. Also, the contact length is always finite and at two ends of the contact there usually exist fillets or chamfers for reduction of stress concentration. The main objective of Cases 12, 13, and 14 is to show how the software handles short roller contacts with crowning in the middle and either fillets or chamfers at two ends. These geometric alterations from the corresponding ideally straight cylindric shapes look very small on a macro scale, but they are usually much larger than the scale of any possible surface deformation and EHL film thickness, thus are often necessary to be taken into account.

The above is a sketch of roller geometry with fillets at two ends. In Case 12, 13, and 14, the nominal contact length is L= 5 mm, the crown radius Ry= 1270 mm, the roller nominal radius Rx= 19.05 mm, the fillet radius in Case 12 and 14 is r = 25.4 mm, and the fillet width lc = 0.75 mm. In Case 13 the fillets are replaced by chamfers of the same width with a 15 degree taper angle. Please pay special attention to "Contact Geometry" section of the "Input Parameters" in order to learn how these geometric parameters are entered.

There is only one input file, SmoothRoller-Fillet.in for Case 12. The PMD method is employed and the computation quickly reaches a satisfactorily converged solution on mesh level 4, as illustrated in RT.jpg. Graphs HPY.jpg, HPY-F.jpg and HPY-F2.jpg clearly show the fillet geometry in the EHL contact, as well as pressure profiles along the contact length direction. Note that severe subsurface stress concentration around the roller ends is not observed in SX.jpg and SY.jpg, because of the improved geometry with the fillets.


A Smooth Roller Contact Case with Chamfers
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-13/

This case is the same as Case 12, except that the fillets are replaced by chamfers of the same width with 15 degree taper angle. The input data are otherwise the same, and the same computation control parameters are used when conducting Case 13. However, the calculation does not seem to be as fast as that of Case 12 due to the longer time required for convergence at each step. The chamfer geometry in the EHL contact can be seen in HPY.jpg, HPY-F.jpg and HPY-F2.jpg. The chamfer results in a steep pressure distribution and severe subsurface stress concentration at each end of the roller, that can be observed from graphs P.jpg, P1.jpg, HPY.jpg and SY.jpg and others. This indicates that the chamfers of 15 degree angle do not lead to the same level of performance improvement as those fillets under otherwise the same conditions.


A Rough Roller Contact Case with Fillets
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-14/

Case 14 is based on Case 12 with the same roller geometry under the same operating conditions but the surfaces are assumed to be rough, machined by a shaving process. The initial value files used, film0.dat, ffilm0.dat, pres0.dat, ppres0.dat and smooth.dat, are all copied directly from the smooth EHL solution obtained in Case 12. Two additional surface files, HOB03.suf and HOB04.suf, are included in the working folder before the computation is started. It is observed that even though the surfaces are quite rough, no severe subsurface stress concentration takes place around the two ends of the roller, showing that the fillets work well for stress reduction.


Support

Contact Us

References


Contact Us

Business Address:

259 North Woodland Drive, Mount Prospect, Illinois 60056-1936, USA

Telephone Numbers in the US:

001-847-941-0199 or 847-722-0708

Telephone Numbers in China:

86-15828056348 or 86-28-85248285

E-Mail Address:

Services@Tri-Tech-Solutions.com or DongZhu@Mail.com

Website:

www.Tri-Tech-Solutions.com

Thank you for your suggestions and comments.


List of References

Ai, X.L., 1993, " Numerical Analyses of Elastohydrodynamically Lubricated Line and Point Contacts with Rough Surfaces By Using Semi-system and Multigrid Methods," Ph. D. Dissertation, Northwestern University, Evanston, Illinois, USA.

Bair, S., and Winer, W.O., 1978, "Rheological Response of Lubricants in EHD Contacts," Proc. of the 5th Leeds-Lyon Symposium on Tribology, pp.162-169.

Bair, S., and Winer, W.O., 1979, "A Rheological Model for Elastohydrodynamic Contacts Based on Primary Laboratory Data," ASME Journal of Lubrication Technology, 101, pp.258-265.

Chen, W.W., Liu, S.B., and Wang, Q., 2008, "Fast Fourier Transfer Based Numerical Methods for Elasto-Plastic Contacts with Nominally Flat Surface," ASME Journal of Applied Mechanics, 75, 011022.

Chen, W.W., and Wang, Q., 2008, "Thermomechanical Analysis of Elasto-Plastic Bodies in A Sliding Spherical Contact and the Effects of Sliding Speed, Heat Partition, and thermal Softening," ASME Journal of Tribology, 130, 041402.

Dowson, D., and Higginson, G. R., 1966, "Elastohydrodynamic Lubrication," Pergamon Press.

Gohar, R., 2001, "Elastohydrodynamics," 2nd Edition, Imperial College Press, London.

Goryachev, I.G., 1998, "Contact Mechanics in Tribology," Kluwer, Cordrecht.

Hamrock, B.J., and Dowson, D., 1981, "Ball Bearing Lubrication, the Elastohydrodynamics of Elliptical Contacts," John Wiley, New York.

He, T., Ren, N., Zhu, D., and Wang, J.X., 2014, “Plasto-Elastohydrodynamic Lubrication (PEHL) in Point Contacts for Surfaces with Three-Dimensional Sinusoidal Waviness and Real Machined Roughness,” ASME Journal of Tribology, 136(3), 031504 1-11.

He, T., Wang, J.X., Wang, Z.J., and Zhu, D., 2015, “Simulation of Plasto-Elastohydrodynamic Lubrication (PEHL) in Line Contacts of Infinite and Finite Length,” ASME Journal of Tribology, 137(4), 041505 1-12.

He, T., Zhu, D., and Wang, J.X., 2016, “Simulation of Plasto-Elastohydrodynamic Lubrication (PEHL) in a Rolling Contact,” ASME Journal of Tribology, 138(3), pp. 031503 1-12.

He, T., Zhu, D., Wang, J.X., and Wang, Q., 2017, "Experimental and Numerical Investigations of the Stribeck Curves for Lubricated Counterformal Contacts," ASME Journal of Tribology, 139, pp. 021505 1-13.

Hu, Y.Z., Barber, G.C., and Zhu, D., 1999, "Numerical Analysis for the Elastic Contact of Real Rough Surfaces," Tribology Transactions, 42, No.3, pp.443-452.

Hu, Y.Z., and Zhu, D., 2000, "A Full Numerical Solution to the Mixed Lubrication in Point Contacts," ASME Journal of Tribology, 122, pp.1-9.

Jacq, C., Nelias, D., Lormand, G., and Girodin, D., 2002, "Development of A Three-Dimensional Semi-analytical Elastic-Plastic Contact Code," ASME Journal of Tribology, 124, pp. 653-667.

Johnson, K.L., 1985, "Contact Mechanics," Cambridge University Press, Cambridge, UK.

Johnson, K.L., and Tevaarwerk, J.L., 1977, "Shear Behavior of Elastohydrodynamic Oil Film," Proceedings of the Royal Society, London, A356, pp.215-236.

Liu, S.B., Wang, Q., and, Liu, G., 2000, "A Versatile Method of Discrete Convolution and FFT (DC-FFT) for Contact Analyses," Wear, 243, pp. 101-111.

Liu, S.B., and Wang, Q., 2001, "A Three-Dimensional Thermomechanical Model of Contact Between Non-Conforming Rough Surfaces," ASME Journal of Tribology, 123, pp.17-26.

Liu, S.B., and Wang, Q., 2002, "Studying Contact Stress Fields Caused by Surface Tractions with a Discrete Convolution and Fast Fourier Transform Algorithm," ASME Journal of Tribology, 124, pp. 36-45.

Liu, Y.C., Chen, W. W., Zhu, D., Liu, S. and Wang, Q. J., 2006, "An Elastohydrodynamic Lubrication Model for Coated Surfaces in Point Contacts," ASME Journal of Tribology, 129, pp. 509-516.

Liu, Y.C., Wang, Q., Wang, W.Z., Hu, Y.Z., and Zhu, D., 2005, "Effects of Differential Scheme and Mesh Density on EHL Film Thickness in Point Contacts," ASME Journal of Tribology, 128, pp.641-653.

Liu, Y. C., Wang, Q. J., Wang, W. Z., Hu, Y. Z., Zhu, D., Krupka, I. and Hartl. M., 2006, "EHL Simulation Using the Free-volume Viscosity Model," Tribology Letters, 23, pp.27-37.

Liu, Y. C., Wang, Q., Zhu, D., Wang, W. Z., and Hu, Y. Z., 2009, "Effect of Differential Scheme and Viscosity Model on Rough Surface Point Contact Isothermal EHL," ASME Journal of Tribology, 131, 044501, 1-5.

Liu, Y.C., Zhu, D., and Wang, Q., 2008, "Effect of Stiff Coatings on EHL Film Thickness in Point Contacts," ASME Journal of Tribology, 130, 031501, 1-6.

Lubrecht, A. A., 1987, "The Numerical Solution of Elastohydrodynamic Lubricated Line and Point Contact Problems using Multigrid Techniques," Ph.D. Thesis, University of Twente, The Netherlands.

Luo, J.B., and Liu, S., 2006, "The Investigation of Contact Ratio in Mixed Lubrication," Tribology International, 39, pp.409-416.

Martini, A., Escoffier, B., Liu, S., Wang, Q., Keer, L.M., and Zhu, D., 2006, "Prediction of Subsurface Stress in Elastic Perfectly Plastic Rough Components," Tribology Letters, 23, pp. 243-251.

Martini, A., Zhu,D., and Wang, Q., 2007, "Friction Reduction in Mixed Lubrication," Tribology Letters, 28, pp. 171-181.

Nelias, D., Boucly, V., and Brunet, M., 2006, "Elastic-Plastic Contact Between Rough Surfaces: Proposal for a Wear or Running-in Model", ASME Journal of Tribology, 128, 236-244.

Polonsky, I. A. and Keer, L. M., 1999, "A Numerical Method for Solving Rough Contact Problems Based on the Multi-Level Multi-Summation and Conjugate Gradient Techniques," Wear, 231, pp. 206-219.

Polonsky, I. A. and Keer, L. M., 2000, "A Fast and Accurate Method for Numerical Analysis of Layered Elastic Contacts," ASME Journal of Tribology, 122, pp.30-35.

Pu, W., Wang, J.X., Zhang, Y., and Zhu, D., 2014, “A Theoretical Analysis of the Mixed Elastohydrodynamic Lubrication in Elliptical Contacts with an Arbitrary Entrainment Angle,” ASME Journal of Tribology, 136(4), 041505 1-11.

Pu, W., Wang, J.X., and Zhu, D., 2016, “Progressive Mesh Densification (PMD) Method for Numerical Solution of Mixed Elastohydrodynamic Lubrication,” ASME Journal of Tribology, 138(2), pp. 021502 1-11.

Pu, W., Wang, J.X., and Zhu, D., 2016, "Friction and Flash Temperature Prediction of Mixed Lubrication in Elliptical Contacts with Arbitrary Velocity Vector," Tribol ogy International, 99, pp. 38-46.

Pu, W., Zhu, D., and Wang, J.X., 2018, "A Starved Mixed EHL Model for the Prediction of Lubrication Performance, Friction and Flash Temperature with Arbitrary Entrainment Angle," ASME J. Tribol., 140(3), 031501 1-12.

Ren, N., 2009, "Advanced Modeling of Mixed Lubrication and its Mechanical and Biomedical Applications," Ph.D. Thesis, Northwestern University, Evanston, Illinois, USA.

Ren, N., and Lee, S.C., 1993, "Contact Simulation of Three-dimensional Rough Surfaces Using Moving Grid Method," ASME Journal of Tribology, 115, pp597-601.

Ren, N., Zhu, D., Chen, W.W., Liu, Y., and Wang, Q.J., 2009, "A Three-Dimensional Deterministic Model for Rough Surface Line Contact EHL Problems," ASME Journal of Tribology, 131, 011501, 1-9.

Ren, N., Zhu, D., Chen, W., and Wang, Q., 2010, “Plasto-Elastohydrodynamic Lubrication in Point Contacts,” ASME Journal of Tribology, 132, 031501 1-11.

Ren, N., Zhu, D., and Wang, Q., 2011, “Three-Dimensional Plasto-Elastohydrodynamic Lubrication (PEHL) for Surfaces with Irregularities," ASME Journal of Tribology, 133, 031502 1-10.

Reynolds, O., 1886, "On the Theory of Lubrication and Its Application to Mr. Beauchamp Tower's Experiments, Including an Experimental Determination of the Viscosity of Olive Oil," Phil. Trans. R. Soc., 177, pp.157-234.

Roelands, C. J. A., 1963, "Correlational Aspects of the Viscosity-Temperature-Pressure Relationship of Lubricating Oils," Ph.D. Thesis, University of Technology, Delft.

Venner, C. H., 1991, "Multilevel Solution of EHL Line and Point Contact Problems," Ph.D Thesis, University of Twente, The Netherlands.

Wang, Q. and Zhu, D., 2005, "Virtual Texturing: Modeling the Performance of Lubricated Contacts of Engineered Surfaces," ASME Journal of Tribology, 127, pp. 722-728.

Wang, W.Z., Hu, Y.Z., Liu, Y.C., and Zhu, D., 2010, “Solution Agreement Between Dry Contacts and Lubrication System at Ultra-Low Speed,” Proc. IMechE, Part J: Journal of Engineering Tribology, 224, pp.1049-1060.

Wang W.Z, Wang, H, Liu Y.C, Hu, Y.Z, and Zhu, D., 2003, "A Comparative Study of the Methods for Calculation of Surface Elastic Deformation," Proc. ImechE, Part J, Journal of Engineering Tribology, 217, pp.145-153.

Wang, X.P., Liu, Y.C., and Zhu, D., 2017, “Numerical Solution of Mixed Thermal Elastohydrodynamic Lubrication (TEHL) in Point Contacts with 3D Surface Roughness,” ASME Journal of Tribology, 139, pp. 011501 1-12.

Wang, Z.J., Wang, W.Z., Wang, H., Zhu, D., and Hu, Y.Z., 2010, “Partial Slip Contact Analysis on Three-dimensional Elastic Layered Half Space,” ASME Journal of Tribology, 132, 021403 1-12.

Wang, Z.J., Zhu, D., and Wang, Q., 2014, "Elastohydrodynamic Lubrication of Inhomogeneous Materials Using Equivalent Inclusion Method," ASME Journal of Tribology, 136(2), 021501 1-10.

Yang, P. R., and Wen, S., 1990, "A Generalized Reynolds Equation for Non-Newtonian Thermal Elastohydrodynamic Lubrication," ASME Journal of Tribology, 112, pp.631-636.

Zhu, D., 1984, "Thermal Analysis of the Elastohydrodynamic Lubrication in Point Contacts," Ph.D. Thesis, Tsinghua University, Beijing, China.

Zhu, D., 2002, "A Design Tool for Selection and Optimization of Surface Finish in Mixed Lubrication," Proc. the 29th Leeds-Lyon Symposium, Elsevier B.V., pp.703-711.

Zhu, D., 2003, "Effect of Surface Roughness on Mixed EHD Lubrication Characteristics," Tribology Transactions, 46, pp. 44-48.

Zhu, D., 2007, "On Some Aspects in Numerical Solution of Thin-Film and Mixed EHL," Proc. IMech, Part J, Journal of Engineering Tribology, 221, pp. 561-579.

Zhu, D., and Ai, X., 1997, "Point Contact EHL Based on Optically Measured Three-Dimensional Rough Surfaces," ASME Journal of Tribology, 119, pp.375-384.

Zhu, D., and Cheng, H.S., 1989, "An Analysis and Computational Procedure for EHL Film Thickness, Friction and Flash Temperature in Line and Point Contacts," Tribology Transactions, 32, pp.364-370.

Zhu, D., and Hu, Y.Z., 1999, "The Study of Transition from Full Film Elastohydrodynamic to Mixed and Boundary Lubrication," The Advancing Frontier of Engineering Tribology, Proceedings of the 1999 STLE/ASME H.S. Cheng Tribology Surveillance, pp.150-156.

Zhu, D., and Hu, Y.Z., 2001a, "A Computer Program Package for the Prediction of EHL and Mixed Lubrication Characteristics, Friction, Subsurface Stresses and Flash Temperatures Based on Measured 3-D Surface Roughness," Tribology Transactions, 44, pp.383-390.

Zhu, D., and Hu, Y.Z., 2001b, "Effects of Rough Surface Topography and Orientation on the Characteristics of EHD and Mixed Lubrication in Both Circular and Elliptical Contacts," Tribology Transactions, 44, pp.391-398.

Zhu, D., Liu, Y., and Wang, Q., 2014, “On the Numerical Accuracy of Rough Surface EHL Solution,” to appear in Tribology Transactions.

Zhu, D., Martini, A., Wang, W., Hu, Y.H., Lisowski, B., and Wang, Q., 2007, "Simulation of Sliding Wear in Mixed Lubrication," ASME Journal of Tribology, 129, pp.544-552.

Zhu, D., Nanbu, T., Ren, N., Yasuda, Y., and Wang, Q., 2010, “Model-Based Virtual Surface Texturing for Concentrated Conformal-Contact Lubrication,” Proc. IMechE, Part J: Journal of Engineering Tribology, 224 (J8), pp. 685-696.

Zhu, D., Ren, N., and Wang, Q., 2009, "Pitting Life Prediction Based on a 3-D Line Contact Mixed EHL Analysis and Subsurface von Mises Stress Calculation," ASME Journal of Tribology, 131, 041501, 1-8.

Zhu, D., Wang, J.X., Ren, N., and Wang, Q., 2012, “Mixed Elastohydrodynamic Lubrication in Finite Roller Contacts Involving Realistic Geometry and Surface Roughness,” ASME Journal of Tribology, 134, 011504 1-10.

Zhu, D., and Wang, Q., 2011, “Elastohydrodynamic Lubrication (EHL): A Gateway to Interfacial Mechanics ―Review and Prospect,” ASME Journal of Tribology, 133, 041001 1-14.

Zhu, D., and Wang, Q., 2012, “On the l Ratio Range of Mixed Lubrication,” Proc. IMechE, Part J: Journal of Engineering Tribology, 226, pp. 1010–1022.

Zhu, D., and Wang, Q., 2013, “Effect of Roughness Orientation on the EHL Film Thickness,” ASME Journal of Tribology, 135, 031501 1-9.

Zhu, D., Liu, Y., and Wang, Q., 2014, “On the Numerical Accuracy of Rough Surface EHL Solution,” Tribology Trans actions, 57, pp.570-580.

Zhu, D., Wang, J.X., and Wang, Q., 2015, “On the Stribeck Curves for Lubricated Counterformal Contacts of Rough Surfaces,” ASME Journal of Tribology, 137(2), 021501 1-10.

Zhu, D., and Wen, S.Z., 1984, "A Full Numerical Solution for the Thermoelastohydrodynamic Problem in Elliptical Contacts," ASME Journal of Tribology, 106, pp.246-254.


A Circular Contact Between a Smooth Ball and a Dimpled Flat
www.Tri-Tech-Solutions.com/MixedEHL_Sample_Cases/Sample-15/

Case 15 is for a circular EHL contact between a smooth ball and a dimpled flat under the same operating conditions as those in Cases 3 and 7, except that the slide-to-roll ratio is changed to either 1.0 or -1.0, and the lubricant non-Newtonian properties are considered. The same initial solution is employed as that in Cases 3 and 7. The data file, Dimple-U.suf, for Surface 2 is generated by a stand-alone Fortran code that can be used to virtually create a large variety of textures and then save them in the appropriate format, E16.8, for use with the present mixed EHL package. Note that the dimple micro-geometry is accurately defined in Dimple-U.suf in terms of a 769x513 data matrix within a small unit region (0.42x0.48 mm). This micro-struction is repeatedly copied in both the x- and y-directions to cover the entire solution domain (2.116x1.505 mm). By choosing the way how it is copied in each direction in the window of "Program Control -> Main Switches", one can possibly create different dimple distribution patterns. The dimple texture and its distribution pattern used in this case are shown in D.jpg, that is plotted from the data file Domain.dat. The resulting EHL solutions can be found from the link given above in the sub-directory "S=1/" for the positive slide-to-roll ratio of 1.0, or in "S=-1/" for the negative slide-to-roll-ratio of -1.0. Note that the convergence factor under "Program Control -> Control Parameter Set 1" is set to be 0.000001, in order to ensure a high solution accuracy. It is interesting to compare the solution at slide-to-roll ratio of S=1.0 with that of S=-1.0.

Copyright 2008-2010, Tri-Tech Solutions, Inc.


Copyright 2008-2010, Tri-Tech Solutions, Inc.